
img = love.graphics.newImage('images/img.jpg')


bg = {}
bg.timer = 0
bg.timerLim = math.random(.1,1)
bg.x = 0
bg.y = 0
bg.scaleX = 0.1
bg.scaleY = 0.1
bg.rot = 0
function bg.spawn(x,y)
	table.insert(bg, {x = x, y = y,scaleX = math.random(0.5,0.75),scaleY = math.random(0.5,0.75)})
end
--
function bg.draw()
	love.graphics.setColor(0,255,255)
	love.graphics.draw(img,screenWidth / 2 - img:getWidth() * bg.scaleX / 2,screenHeight / 2 - img:getHeight() * bg.scaleY / 2,bg.rot,bg.scaleX,bg.scaleY)
	for i,v in ipairs(bg) do
		love.graphics.setColor(math.random(1,255),math.random(1,255),math.random(1,255))
		love.graphics.draw(img,v.x,v.y,0,0.2,0.2)
	end
end
--
function bg.update(dt)
	bg.timer = bg.timer + dt
	bg.scaleX = bg.scaleX + 0.05 * dt
	bg.scaleY = bg.scaleY + 0.05 * dt
	bg.rot = bg.rot + math.random(0.15,5.1) * dt
		if bg.timer > bg.timerLim then
			bg.spawn(math.random(0,screenWidth),math.random(screenHeight))
			bg.timerLim = math.random(0.1,1)
			bg.timer = 0
			math.randomseed(os.time())
			math.random()
		end
end


fall = {}
fall.timer = 0
fall.timerLim = math.random(0.2,1.2)
function fall.spawn(x,y)
	table.insert(fall, {x = x, y = y,speed = math.random(25,50),rot = 0})
end
--
function fall.draw()
	for i,v in ipairs(fall) do
		love.graphics.setColor(255,255,255)
		love.graphics.draw(img,v.x,v.y,v.rot,0.1,0.1)
	end
end
--
function fall.update(dt)
	fall.timer = fall.timer + dt
	if fall.timer > fall.timerLim then
		fall.spawn(math.random(0,screenWidth),-100)
		fall.timer = 0
		fall.timerLim = math.random(0.2,1.2)
	end
	for i,v in ipairs(fall) do
		
		v.y = v.y + v.speed * dt
		v.x = v.x + math.random(-v.speed,v.speed) * dt
		if v.y >  screenHeight then
			table.remove(fall, i)
		end
	end
end




